﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PIMMAS]') AND name = N'IX_NN_Hierarchy')
BEGIN 
PRINT 'Creating index IX_NN_Hierarchy on table PIMMAS'
CREATE NONCLUSTERED INDEX [IX_NN_Hierarchy] ON [dbo].[PIMMAS] 
(
	[CategoryCode] ASC,
	[GroupCode] ASC,
	[SubGroupCode] ASC,
	[StyleCode] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

